<?php
function burnt_regions() {
  return array(
       'left' => t('left sidebar'),
       'right' => t('right sidebar'),
       'content' => t('content'),
       'header' => t('header'),
       'footer' => t('footer')
  );
}
function phptemplate_menu_tree($pid = 1) {
  if ($tree = menu_tree($pid)) {
    $output .= "\n<ul id=\"navlist\">\n"; 
    if (function_exists('base_path')) {
      $base_path = base_path();
    }
    $url = $base_path;    
    if ($pid == 1) {
      $output .= "<li><a href=\"" . $url . "\">home</a></li>";
    };
    $output .= $tree; 
    $output .= "\n</ul>\n"; 
    return $output;
  }
}
function phptemplate_menu_item($mid, $children = '', $leaf = TRUE) {
  //return '<li class="'. ($leaf ? 'leaf' : ($children ? 'expanded' : 'collapsed')) .'">'. menu_item_link($mid) . $children ."</li>\n";
  return '<li>'. menu_item_link($mid) . $children ."</li>\n";
}
function burnt_block($block) {
  $output  = "<div class=\"block block-$block->module\" id=\"block-$block->module-$block->delta\">\n";
  //don't print the header if it's the navigation block
  if (!($block->module == 'user' && $block->delta == '1')) {
    $output .= " <h2 class=\"title\">$block->subject</h2>\n";
  };
  $output .= " <div class=\"content\">$block->content</div>\n";
  $output .= "</div>\n";
  return $output;
}
/* Checks to see if we're in the admin section */
function burnt_is_admin() {
  if (((arg(0) == 'admin') || (arg(0) == 'administer') || (arg(0) == 'user') ) && (user_access('access administration pages'))) {
    return true;
  }
}
function phptemplate_system_themes($form) {
  foreach (element_children($form) as $key) {
    $row = array();
    if (is_array($form[$key]['description'])) {
      $row[] = form_render($form[$key]['description']) . form_render($form[$key]['screenshot']) ;
      $row[] = array('data' => form_render($form['status'][$key]), 'align' => 'center');
      if ($form['theme_default']) {
        $row[] = array('data' => form_render($form['theme_default'][$key]) . form_render($form[$key]['operations']), 'align' => 'center');
      }
    }
    $rows[] = $row;
  }
  $header = array(t('Name/Screenshot'), t('Enabled'), t('Default'));
  $output = theme('table', $header, $rows);
  $output .= form_render($form);
  return $output;
}
function phptemplate_system_user($form) {
  foreach (element_children($form) as $key) {
    $row = array();
    if (is_array($form[$key]['description'])) {
      $row[] = form_render($form[$key]['description']) . form_render($form[$key]['screenshot']);
      $row[] = array('data' => form_render($form['theme'][$key]), 'align' => 'center');
    }
    $rows[] = $row;
  }

  $header = array(t('Name/Screenshot'), t('Selected'));
  $output = theme('table', $header, $rows);
  return $output;
}
?>
